
/* This code is public domain */

/* expr.c -- constant expression handling */
extern int evalOK;
int TryEvalExpr(Symbol *table);
int EvalExpr(Symbol *table);

/* test.c */
void SkipBlock();

/* con.c -- CON block parsing */
void ParseCONpass1();
void ParseCONpass2();

/* var.c -- VAR block parsing */
void ParseVARpass1();
void ParseVARpass2();

/* dat.c -- DAT block parsing */
extern int inDATSection;
void ParseDATpass1();
void ParseDATpass2();

/* obj.c -- OBJ block parsing */
struct _object* NewObject(char* path);
void ParseOBJpass1();
void ParseOBJpass2();

/* parse.c */
extern int pass;

/* link.c */
extern int hubptr;
void EmitByte(int byte);
void EmitDATByte(int byte);
void EmitObjectHdr(struct _object *obj);
void EmitObjectTail(struct _object *obj);
void EmitMethodHdr(Symbol *method);
void EmitMethodTail(Symbol *method);
void AllocImportObj(struct _object *import);
void EmitProgramHdr();
void EmitProgramTail();
void SaveBinary(char *path);
