
/* Hive Spin Compiler lexical analyzer */
/* This code is public domain */

#define MAXTOKENLENGTH 32

struct _token {
  char     text[MAXTOKENLENGTH+1];
  int      type;
  int      line;
  int      col;
  union {
    unsigned value;
    float    fltval;
  };
};
typedef struct _token Token;

/* the lexer API: the current token as a global symbol and
 * five functions.
 */
extern Token token;

void NextToken();
void MustSkip(int);
int TestAndSkip(int);

void OpenFile(char *);
void CloseFile();
void* GetLexState();
void PutLexState(void *);